Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class WorkPlaceAddressUse

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.WorkPlaceAddressUse

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class WorkPlaceAddressUse

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Work Place Address Use', and utility methods for working with them. specDomain: V19613 (C-0-D201-V190-V19613-cpt)

See Also:
  `CDAR2Package.getWorkPlaceAddressUse()`

Field Summary
`static int` | `DIR` The 'DIR' literal value.
`static WorkPlaceAddressUse` | `DIR_LITERAL` The 'DIR' literal object.
`static int` | `PUB` The 'PUB' literal value.
`static WorkPlaceAddressUse` | `PUB_LITERAL` The 'PUB' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Work Place Address Use' enumerators.
`static int` | `WP` The 'WP' literal value.
`static WorkPlaceAddressUse` | `WP_LITERAL` The 'WP' literal object.

Method Summary
`static WorkPlaceAddressUse` | `get(int value)` Returns the 'Work Place Address Use' literal with the specified integer value.
`static WorkPlaceAddressUse` | `get(java.lang.String literal)` Returns the 'Work Place Address Use' literal with the specified literal value.
`static WorkPlaceAddressUse` | `getByName(java.lang.String name)` Returns the 'Work Place Address Use' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WP

    public static final int WP

  The 'WP' literal value.

  If the meaning of 'WP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WP_LITERAL`, Constant Field Values

### DIR

    public static final int DIR

  The 'DIR' literal value.

  If the meaning of 'DIR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIR_LITERAL`, Constant Field Values

### PUB

    public static final int PUB

  The 'PUB' literal value.

  If the meaning of 'PUB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PUB_LITERAL`, Constant Field Values

### WP_LITERAL

    public static final WorkPlaceAddressUse WP_LITERAL

  The 'WP' literal object.

  See Also:
    `WP`

### DIR_LITERAL

    public static final WorkPlaceAddressUse DIR_LITERAL

  The 'DIR' literal object.

  See Also:
    `DIR`

### PUB_LITERAL

    public static final WorkPlaceAddressUse PUB_LITERAL

  The 'PUB' literal object.

  See Also:
    `PUB`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Work Place Address Use' enumerators.

Method Detail

### get

    public static WorkPlaceAddressUse get(java.lang.String literal)

  Returns the 'Work Place Address Use' literal with the specified literal value.

### getByName

    public static WorkPlaceAddressUse getByName(java.lang.String name)

  Returns the 'Work Place Address Use' literal with the specified name.

### get

    public static WorkPlaceAddressUse get(int value)

  Returns the 'Work Place Address Use' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD